import request from '@/utils/request'

export function handleTurnDownValve(data) {
  return request({
    url: '/pssr/overhaulValve/turnDownValve',
    method: 'put',
    data: data
  })
}
// 查询检修项目-阀门列表
export function listOverhaulValve(query) {
  return request({
    url: '/pssr/overhaulValve/list',
    method: 'get',
    params: query
  })
}

// 查询检修项目-阀门详细
export function getOverhaulValve(id) {
  return request({
    url: '/pssr/overhaulValve/' + id,
    method: 'get'
  })
}

// 新增检修项目-阀门
export function addOverhaulValve(data) {
  return request({
    url: '/pssr/overhaulValve',
    method: 'post',
    data: data
  })
}

// 修改检修项目-阀门
export function updateOverhaulValve(data) {
  return request({
    url: '/pssr/overhaulValve',
    method: 'put',
    data: data
  })
}

//
export function updateOverhaulValveBatch(data) {
  return request({
    url: '/pssr/overhaulValve/editBatch',
    method: 'put',
    data: data
  })
}


// 确认检修项目-管线
export function handleConfirmApprove(data) {
  return request({
    url: '/pssr/overhaulValve/confirmValve',
    method: 'put',
    data: data
  })
}

// 删除检修项目-阀门
export function delOverhaulValve(id) {
  return request({
    url: '/pssr/overhaulValve/' + id,
    method: 'delete'
  })
}

// 导出检修项目-阀门
export function exportOverhaulValve(query) {
  return request({
    url: '/pssr/overhaulValve/export',
    method: 'get',
    params: query
  })
}
